[needs-packaging] pkgme should be packaged

Bug #1007327 reported by Daniel Holbach on 2012-06-01
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pkgme
Undecided
Daniel Holbach
Ubuntu
Wishlist
Unassigned

Bug Description

It'd be great if pkgme was packaged, as it'd make testing pkgme a lot easier.

Daniel Holbach (dholbach) wrote :

In the linked branch the only two things which are missing (AFAICS) are:

 - a manpage for pkgme (less of an issue)
 - a definition of debian/source/format - this is what I'll leave to you, as I'm not sure if
   you want to include the packaging in the upstream branch or not.

Daniel Holbach (dholbach) wrote :

For now I made it "3.0 (native)" and will update it as 0.1 to quantal.

Daniel Holbach (dholbach) wrote :

Uploaded to quantal.

Feel free to merge lp:~dholbach/pkgme/initial-packaging or leave it outside.

Changed in ubuntu:
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

summary: - pkgme should be packaged
+ [needs-packaging] pkgme should be packaged
Changed in ubuntu:
importance: Undecided → Wishlist
Daniel Holbach (dholbach) wrote :

Somebody still needs to decide if we merge the packaging or if it should maybe live in a separate, maybe debian/-only(?), branch?

Changed in pkgme:
assignee: nobody → Daniel Holbach (dholbach)
status: New → In Progress

On Wed, 06 Jun 2012 09:22:27 -0000, Daniel Holbach <email address hidden> wrote:
> Somebody still needs to decide if we merge the packaging or if it should
> maybe live in a separate, maybe debian/-only(?), branch?

I think it should live in an lp:ubuntu/pkgme branch :-)

Thanks,

James

Jeremy Bicha (jbicha) wrote :

I've not looked at pkgme recently, but shouldn't this be uploaded to Debian too?

Jeremy Bicha (jbicha) wrote :

Since this is something that would be useful for Debian too, shouldn't it get a *ubuntu1 version number (0.1+bzr114ubuntu1) ?

James Westby (james-w) on 2012-09-21
Changed in ubuntu:
status: Fix Committed → Fix Released
Jonathan Lange (jml) on 2012-09-21
Changed in pkgme:
status: In Progress → Fix Released
James Westby (james-w) wrote :

We think the packaging should live outside the lp:pkgme branch. We suggest lp:ubuntu/pkgme.

Thanks,

James

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers